Форум программистов, компьютерный форум, киберфорум
Наши страницы
SolidWorks
Войти
Регистрация
Восстановить пароль
 
Борис_С
2 / 2 / 0
Регистрация: 29.03.2015
Сообщений: 177
1

Макрос, который меняет текст на линии выноски символа сварки

06.11.2019, 15:20. Просмотров 74. Ответов 0
Метки нет (Все метки)

Привет!

Мне нужно написать макрос, который меняет текст на линии выноски символа сварки.
В API HELP есть пример Insert Weld Symbol http://help.solidworks.com/2019/engl...example_vb.htm
Ниже приведен текст макроса, который я написал. Он ищет в модели символ сварки и устанавливает новый текст на линии выноски также, как
это сделано в примере из Help API. К сожалению, текст на линии-выноски не меняется.
Буду благодарен за любую помощь.

Visual Basic
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
Option Explicit
Sub main()
 
Dim swApp As SldWorks.SldWorks
Dim swModel As SldWorks.ModelDoc2
Dim swDraw As SldWorks.DrawingDoc
Dim swView As SldWorks.View
Dim vSheetNames As Variant
Dim vSheetName As Variant
Dim vAnns As Variant
Dim vAnn As Variant
Dim swWeldSymbol As SldWorks.WeldSymbol
Dim i As Long, i1 As Long
 
 
 
Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
Set swDraw = swModel
 
 
 
vSheetNames = swDraw.GetSheetNames
For Each vSheetName In vSheetNames
    swDraw.ActivateSheet vSheetName
    'swModel.ViewZoomtofit2
    Set swView = swDraw.GetFirstView
    
    While Not swView Is Nothing
        'Debug.Print swView.Name
        'Debug.Print swView.GetWeldSymbolCount()
        vAnns = swView.GetWeldSymbols
        If Not IsEmpty(vAnns) Then
            
            For Each vAnn In vAnns
                Set swWeldSymbol = vAnn
                'Debug.Print swWeldSymbol.GetTextCount()
                For i1 = 0 To swWeldSymbol.GetTextCount() - 1
                    'Debug.Print swWeldSymbol.GetTextAtIndex(i1)
                Next
 
                swWeldSymbol.SetText True, "Left", "BUTT", "Right", "Stagger", swWeldContourNone
                
            Next
        End If
        
        Set swView = swView.GetNextView
    Wend
    
Next
 
 
 
swDraw.ForceRebuild3 False
 
 
 
End Sub
0
QA
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
06.11.2019, 15:20
Ответы с готовыми решениями:

Нужен макрос который выделяет текст, который выделен маркером
В общем, нужна помощь в создании макроса, который выделяет всё, что выделено маркером. Требуется...

Нужен макрос для ворда, который в строчке меняет цвет букв через одну
Здравствуйте! Помогите пожалуйста написать макрос. Мне надо что бы в строчке текста в которой...

Написать макрос, который при выделении матрицы мышкой меняет местами столбцы, содержащие max и min элементы
Люди!Помогите студенту!! Дана матрица 9*9 в excel.Необходимо написать макрос,который при выделении...

Создать макрос, который удаляет весь текст после найденного
Добрый день. Возникла необходимость записать/создать макрос который удаляет весь текст после...

0

Answers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
06.11.2019, 15:20

Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:

1
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2019, vBulletin Solutions, Inc.